curl --request GET \
--url https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flowimport requests
url = "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteAssetSymbol": "USDC",
"interval": "5m",
"startTime": 1,
"endTime": 1,
"buckets": [
{
"bucketStart": 1,
"takerBuyNotional": "<string>",
"takerSellNotional": "<string>",
"buySellRatio": "<string>",
"netNotional": "<string>",
"cumulativeVolumeDelta": "<string>",
"tradeCount": 1
}
]
}Trade Flow
Bounded quote-notional taker flow and cumulative volume delta for a perp.
curl --request GET \
--url https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flowimport requests
url = "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/trade-flow")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteAssetSymbol": "USDC",
"interval": "5m",
"startTime": 1,
"endTime": 1,
"buckets": [
{
"bucketStart": 1,
"takerBuyNotional": "<string>",
"takerSellNotional": "<string>",
"buySellRatio": "<string>",
"netNotional": "<string>",
"cumulativeVolumeDelta": "<string>",
"tradeCount": 1
}
]
}Path Parameters
Query Parameters
UTC-aligned bucket interval
1m, 5m, 1h 1Unix timestamp in milliseconds; range is at most seven days
0 <= x <= 4102444800000Unix timestamp in milliseconds; range is at most seven days
0 <= x <= 4102444800000Response
OK
Taker buy/sell quote notional, net flow and cumulative volume delta for a bounded time range. All executed trades, including liquidation and ADL fills, are included. Empty buckets are omitted. Buckets that closed more than two minutes before the request may be served from a per-replica cache for up to ten minutes.
Trading pair UUID
Quote asset used for all notional values, with no USD conversion
"USDC"
UTC-aligned bucket size
"5m"
Inclusive selected start time as Unix milliseconds
x >= 0Exclusive selected end time as Unix milliseconds
x >= 0Populated UTC-aligned buckets; intervals without trades are omitted.
Show child attributes
Show child attributes
Was this page helpful?

